Bug 967165 - libreoffice-pyuno missing in @libreoffice packagelist
libreoffice-pyuno missing in @libreoffice packagelist
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 02:01 EDT by Onyeibo Oku
Modified: 2014-03-16 23:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 08:23:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Onyeibo Oku 2013-05-25 02:01:38 EDT
Description: 
libreoffice-pyuno is needed to run python based extensions like MRI-tool etc. As much as it provides an environment for developers creating python extensions, users also need it to run ready-made python based extensions.

Packages to be added: 
libreoffice-pyuno

Comps group:
@libreoffice  

Default: 

Mandatory: 

Visible: 

Multi-lib: 

Need to be present for arches: 
all
Comment 1 Onyeibo Oku 2013-05-25 02:06:45 EDT
see also Bug 966796
Comment 2 Bill Nottingham 2013-05-28 11:53:41 EDT
Caolan, David - opinions?
Comment 3 David Tardon 2013-05-29 06:15:31 EDT
I didn't even know there was such a group till now :-) We already have a metapackage for installing most of libreoffice.

Anyway libreoffice-bsh, -pyuno and -rhino are not for development, but for using scripts written in bsh, python and javascript, respectively. They should be moved out of @libreoffice-development. I am not against adding it to @libreoffice, but it should be optional (note that it depends (in Fedora) on python3). So should -headless; it is for running libreoffice without X server. @libreoffice should contain -emailmerge and -base (as optional is enough). I would throw out -xsltfilter; the filters are generally of a poor quality (DocBook export specifically is pathetic. It does not even produce valid XML in some cases) and nobody really wants to support them.

To summarize my suggestions:
1. drop -bsh, -pyuno, -rhino and -headless from @libreoffice-development
2. drop -xsltfilter from @libreoffice
3. add -emailmerge to @libreoffice
4. add -base and -pyuno to @libreoffice as optional
Comment 4 Bill Nottingham 2013-05-29 13:30:21 EDT
Done.
Comment 5 Onyeibo Oku 2013-05-30 17:38:34 EDT
How does an "optional" comps entry affect "createrepo -g GROUPFILE"?  
Will the package get pulled in during release composes containing libreoffice?
It would be odd to go running yum to install -pyuno after booting a live media with the office suite
Comment 6 Bill Nottingham 2013-05-31 09:48:15 EDT
It doesn't affect the operation of createrepo. The package itself would not be pulled into the live image, nor would it be on the DVD. (It's obviously still in the everything repo.)

Note You need to log in before you can comment on or make changes to this bug.